﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TileView1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
           
        }
        private void AddFirst(object sender, RoutedEventArgs e)
        {
            (this.DataContext as ViewModel).tileItem.Insert(0, new Model { Header = "Tile6" });
        }

        private void AddSecond(object sender, RoutedEventArgs e)
        {
            (this.DataContext as ViewModel).tileItem.Insert(1, new Model { Header = "Tile7" });
        }

        private void AddLast(object sender, RoutedEventArgs e)
        {
            (this.DataContext as ViewModel).tileItem.Insert((this.DataContext as ViewModel).tileItem.Count-1, new Model { Header = "Tile8" });
        }
    }

    public class ViewModel : INotifyPropertyChanged
    {
        public void RaisePropertyChanged(string propertyname)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyname));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private ObservableCollection<Model> tileitem;

        public ObservableCollection<Model> tileItem
        {
            get { return tileitem; }
            set { tileitem = value;RaisePropertyChanged("tileItem"); }
        }
        public ViewModel()
        {
            tileItem = new ObservableCollection<Model>();
            tileItem.Add(new Model() { Header = "#Tile1" });
            tileItem.Add(new Model() { Header = "#Tile2" });
            tileItem.Add(new Model() { Header = "#Tile3" });
        }
    }

    public class Model
    {
        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; }
        }

    }
}
